<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id="app">
        <button @click="changeView">Change View</button>
        <!-- v-show로 엘리먼트를 숨기기 display 속성으로 컨트롤한다. -->
        <div v-show="viewNum===1">View 1</div>
        <div v-show="viewNum===2">View 2</div>
        <div v-show="viewNum===3">View 3</div>
    </div>

    <script>
        new Vue({
            el: "#app",
            data: {
                viewNum: 1,
            },
            methods: {
                changeView() {
                    if(++this.viewNum > 3) {
                        this.viewNum = 1;
                    }
                },
            },
        });
    </script>
</body>
</html>